Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(532)

Issue 2710573004: Create Android Studio chromium style configuration. (Closed)

Created:
3 years, 3 months ago by nyquist
Modified:
3 years, 2 months ago
CC:
chromium-reviews, mikecase+watch_chromium.org, jbudorick+watch_chromium.org, agrieve+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Create Android Studio chromium style configuration. The Android Studio Style configuration does not match the checkstyle configuration, which causes import order to be wrong. The configuration is specified here: //tools/android/checkstyle/chromium-style-5.0.xml under ImportOrder. This CL copies the style configuration from the Android repository, but changes it so that it matches what we have in checkstyle. It also updates the Android Studio documentation to point to the new file, and adds the new content and the documentation to the watchlist for Android Studio in addition to updating the error message from checkstyle to now refer to the new style file. BUG=None Review-Url: https://codereview.chromium.org/2710573004 Cr-Commit-Position: refs/heads/master@{#453542} Committed: https://chromium.googlesource.com/chromium/src/+/6e560d0309ec9a4016f07b1da296f8f84625ec2e

Patch Set 1 : Original file from //third_party/android_platform #

Patch Set 2 : Make changes to fit chromium checkstyle ImportOrder (and fix path in docs/) #

Total comments: 2

Patch Set 3 : Update WATCHLISTS #

Patch Set 4 : Changed name to ChromiumStyle #

Patch Set 5 : Added OWNERS file for style #

Patch Set 6 : Update checkstyle error message to refer to Android Studio setup too #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+318 lines, -3 lines) Patch
M WATCHLISTS View 1 2 1 chunk +3 lines, -1 line 2 comments Download
M docs/android_studio.md View 1 1 chunk +1 line, -1 line 0 comments Download
A tools/android/android_studio/ChromiumStyle.xml View 1 2 3 1 chunk +312 lines, -0 lines 0 comments Download
A tools/android/android_studio/OWNERS View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M tools/android/checkstyle/chromium-style-5.0.xml View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 28 (14 generated)
nyquist
wnwen: PTAL Wasn't sure whether to add you or agrieve@.
3 years, 3 months ago (2017-02-22 00:35:18 UTC) #3
nyquist
jbudorick: Realized I also need OWNERS review... But feel free to review for reals. The ...
3 years, 3 months ago (2017-02-22 00:45:44 UTC) #5
nyquist
agrieve: Turns out wnwen@ is unavailable. Can you take a look?
3 years, 3 months ago (2017-02-23 00:32:46 UTC) #12
jbudorick
On 2017/02/22 00:45:44, nyquist wrote: > jbudorick: Realized I also need OWNERS review... But feel ...
3 years, 3 months ago (2017-02-23 00:35:44 UTC) #13
jbudorick
er, just saw your comment about the change being the 1->2 diff https://codereview.chromium.org/2710573004/diff/20001/tools/android/android_studio/ChromiumStyle.xml File tools/android/android_studio/ChromiumStyle.xml ...
3 years, 3 months ago (2017-02-23 00:51:40 UTC) #14
agrieve
lgtm https://codereview.chromium.org/2710573004/diff/100001/WATCHLISTS File WATCHLISTS (right): https://codereview.chromium.org/2710573004/diff/100001/WATCHLISTS#newcode71 WATCHLISTS:71: '|tools/android/android_studio' hmm, perhaps we should move build/android/gradle under ...
3 years, 3 months ago (2017-02-23 01:41:36 UTC) #15
nyquist
https://codereview.chromium.org/2710573004/diff/100001/WATCHLISTS File WATCHLISTS (right): https://codereview.chromium.org/2710573004/diff/100001/WATCHLISTS#newcode71 WATCHLISTS:71: '|tools/android/android_studio' On 2017/02/23 01:41:36, agrieve wrote: > hmm, perhaps ...
3 years, 3 months ago (2017-02-24 07:26:27 UTC) #16
Peter Wen
lgtm Thanks for adding this!
3 years, 2 months ago (2017-02-27 20:28:47 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2710573004/100001
3 years, 2 months ago (2017-02-27 22:15:47 UTC) #19
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/373916)
3 years, 2 months ago (2017-02-27 22:25:23 UTC) #21
jbudorick
lgtm stamp
3 years, 2 months ago (2017-02-27 22:27:43 UTC) #22
nyquist
https://codereview.chromium.org/2710573004/diff/20001/tools/android/android_studio/ChromiumStyle.xml File tools/android/android_studio/ChromiumStyle.xml (right): https://codereview.chromium.org/2710573004/diff/20001/tools/android/android_studio/ChromiumStyle.xml#newcode42 tools/android/android_studio/ChromiumStyle.xml:42: <package name="com" withSubpackages="true" static="false" /> On 2017/02/23 00:51:40, jbudorick ...
3 years, 2 months ago (2017-02-28 07:46:03 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2710573004/100001
3 years, 2 months ago (2017-02-28 07:46:34 UTC) #25
commit-bot: I haz the power
3 years, 2 months ago (2017-02-28 07:50:42 UTC) #28
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/6e560d0309ec9a4016f07b1da296...

Powered by Google App Engine
This is Rietveld 408576698